function logprob = calc_zerovar

% From structure in zvd, calculate probabilities of zero-variate data
%
% Author : Tjalling Jager
% Date: Dec 2013
% Web support: http://www.debtox.info/byom.html

global zvd namesz

logprob = 0;
for i = 1:length(namesz) % run through all parameters that have a zero-variate data point
    
        zvd_mean = eval(['zvd.',namesz{i},'(1)']); % extract mean for this data point (as defined in script)
        zvd_sd   = eval(['zvd.',namesz{i},'(2)']); % extract sd for this data point (as defined in script)
        zvd_eval = eval(['zvd.',namesz{i},'(3)']); % extract calculated value for this data point (as done in call_deri)
        
        % calculate normal probability for this data point
        zvdprob = normpdf(zvd_eval,zvd_mean,zvd_sd);
              
        zvdprob = max(1e-200,zvdprob); % avoid values of zero, as we need to take the log
        logprob = logprob + log(zvdprob); % add log prob to previous one (sum over all pars)
        
end